## GtkGammaCurve GtkGammaCurve — A subclass of GtkCurve for editing gamma curves |

## Functions

GtkWidget * | gtk_gamma_curve_new ()

## Types and Values

struct | GtkGammaCurve

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GtkGammaCurve

## Implemented Interfaces

GtkGammaCurve implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkGammaCurve widget is a variant of GtkCurve specifically for editing gamma curves, which are used in graphics applications such as the Gimp.

The GtkGammaCurve widget shows a curve which the user can edit with the mouse just like a GtkCurve widget. On the right of the curve it also displays 5 buttons, 3 of which change between the 3 curve modes (spline, linear and free), and the other 2 set the curve to a particular gamma value, or reset it to a straight line.

As of GTK+ 2.20, GtkGammaCurve has been deprecated since it is too specialized.

## Functions

### gtk_gamma_curve_new ()

    GtkWidget *
    gtk_gamma_curve_new (void);

`gtk_gamma_curve_new` has been deprecated since version 2.20 and should not be used in newly-written code.

Don't use this widget anymore.

Creates a new GtkGammaCurve.

#### Returns

a new GtkGammaCurve.

## Types and Values

### struct GtkGammaCurve

    struct GtkGammaCurve;

`GtkGammaCurve` is deprecated and should not be used in newly-written code.

The GtkGammaCurve struct contains private data only, and should be accessed using the functions below.